Debian Bug report logs - #287244
kudzu: FTBFS (amd64/gcc-4.0): static declaration of 'module_file' follows non-static declaration

version graph

Package: kudzu; Maintainer for kudzu is (unknown);

Reported by: Andreas Jochens <aj@andaco.de>

Date: Sun, 26 Dec 2004 10:33:06 UTC

Severity: serious

Tags: patch

Merged with 321563, 359109

Found in versions kudzu/1.1.67-1, kudzu/1.1.67-1+b1

Done: Noèl Köthe <noel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#287244; Package kudzu. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kudzu: FTBFS (amd64/gcc-4.0): static declaration of 'module_file' follows non-static declaration
Date: Sun, 26 Dec 2004 11:33:29 +0100
Package: kudzu
Severity: normal
Tags: patch

When building 'kudzu' on amd64 with gcc-4.0,
I get the following error:

cc  -Wall -D_GNU_SOURCE -g -I. -DVERSION=\"1.1.67\"   -c -o hwconf.o hwconf.c
hwconf.c:59: error: static declaration of 'module_file' follows non-static declaration
kudzu.h:95: error: previous declaration of 'module_file' was here
hwconf.c:61: error: static declaration of 'kernel_release' follows non-static declaration
kudzu.h:96: error: previous declaration of 'kernel_release' was here
hwconf.c: In function 'main':
hwconf.c:1885: warning: passing argument 3 of 'poptGetContext' from incompatible pointer type
make[1]: *** [hwconf.o] Error 1
make[1]: Leaving directory `/kudzu-1.1.67'
make: *** [build-stamp] Error 2

With the attached patch 'kudzu' can be compiled
on amd64 using gcc-4.0.

Regards
Andreas Jochens

diff -urN ../tmp-orig/kudzu-1.1.67/hwconf.c ./hwconf.c
--- ../tmp-orig/kudzu-1.1.67/hwconf.c	2004-12-26 11:28:16.747024464 +0100
+++ ./hwconf.c	2004-12-26 11:28:08.554269952 +0100
@@ -56,9 +56,7 @@
 int removedMouse = 0;
 
 static int rhgb = 0;
-static char *module_file = NULL;
 static char *kernel_ver = NULL;
-static float kernel_release;
 
 void startNewt()
 {



Severity set to `serious'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#287244; Package kudzu. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #12 received at 287244@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 287244@bugs.debian.org
Subject: Build problems with current debian/sid (gcc4 etc)
Date: Sat, 08 Oct 2005 23:53:44 +0200
severity 321563 serious
merge 321563 287244
thanks

After applying the patch included in bug #321563, I just tried to
build kudzu in debian/sid, as part of my plan to NMU the package.

The build failed with an error messages from the assembler:

  make[1]: Entering directory `/home/pere/src/debian/kudzu-1.1.67'
  ( cd ddcprobe ; make libvbe.a CFLAGS="" )
  make[2]: Entering directory `/home/pere/src/debian/kudzu-1.1.67/ddcprobe'
  gcc    -c -o lrmi.o lrmi.c
  /tmp/ccMAimpq.s: Assembler messages:
  /tmp/ccMAimpq.s:1532: Error: suffix or operands invalid for `mov'
  /tmp/ccMAimpq.s:1539: Error: suffix or operands invalid for `mov'
  make[2]: *** [lrmi.o] Error 1
  make[2]: Leaving directory `/home/pere/src/debian/kudzu-1.1.67/ddcprobe'
  make[1]: *** [vbe] Error 2
  make[1]: Leaving directory `/home/pere/src/debian/kudzu-1.1.67'
  make: *** [build-stamp] Error 2

I'm not sure where the inline assembly is wrong.  Perhaps this is
fixed in later versions of the source?



Merged 287244 321563. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 287244 and 321563 Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 287244 and 321563 Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 335665 Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 287244 321563 359109. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Noèl Köthe <noel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 287244-done@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 362843-done@bugs.debian.org
Cc: 287244-done@bugs.debian.org, 321563-done@bugs.debian.org, 334952-done@bugs.debian.org, 359109-done@bugs.debian.org, 382144-done@bugs.debian.org, 293024-done@bugs.debian.org, 163506-done@bugs.debian.org, 197086-done@bugs.debian.org, 198842-done@bugs.debian.org, 220392-done@bugs.debian.org, 236909-done@bugs.debian.org, 243409-done@bugs.debian.org, 262998-done@bugs.debian.org, 264889-done@bugs.debian.org, 314567-done@bugs.debian.org, 185660-done@bugs.debian.org, 248114-done@bugs.debian.org, 267108-done@bugs.debian.org, 352049-done@bugs.debian.org, 236913-done@bugs.debian.org, 355622-done@bugs.debian.org
Subject: removing kudzu from Debian
Date: Sun, 22 Oct 2006 22:27:34 +0200
[Message part 1 (text/plain, inline)]
Dear bug reporter,;)

kudzu is not buildable anymore and is already removed from etch/testing.

Nobody seems to care about the package. I asked the pkg-knoppix people on alioth
but it doesn't seems to be an active project.
The main reason for packaging the kudzu hardware detection was to have it packaged
for knoppix. But they are still using their own kudzu build.:(

>From upstream we got the following information:

Bill Nottingham <notting@redhat.com>
....
Aside from that... what are you using kudzu for? You shouldn't. (it basically
is sticking around in RH/Fedora until the installer can be ported away
from it.)

Bill
--8<--

Thats why kudzu will be removed from Debian.
I'm closing all kudzu bugs.

Thanks from the kudzu maintainer.

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Noèl Köthe <noel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Noèl Köthe <noel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 13:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:00:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.